package com.pj.tb_people_tax_account;

import java.util.Date;
import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_people_tax_account -- 边民-税务开户信息
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbPeopleTaxAccountService extends ServiceImpl<TbPeopleTaxAccountMapper, TbPeopleTaxAccount> implements IService<TbPeopleTaxAccount>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbPeopleTaxAccountMapper tbPeopleTaxAccountMapper;

	/** 增 */
	void add(TbPeopleTaxAccount t){
		t.setCreateTime(new Date());
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbPeopleTaxAccount t){
		updateById(t);

	}

	/** 查 */
	TbPeopleTaxAccount getById(String id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<TbPeopleTaxAccount> getList(SoMap so) {
		return tbPeopleTaxAccountMapper.getList(so);
	}


}
